summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0027split_chains_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0027split_chains_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0027split_chains_017
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0027split_chains_0 b/tests/shell/testcases/nft-f/0027split_chains_0
new file mode 100755
index 00000000..de1e5a00
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0027split_chains_0
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table inet filter {
+ chain x {
+ }
+}
+table inet filter {
+ chain input {
+ type filter hook input priority filter; policy accept;
+ jump x
+ }
+}"
+
+$NFT -f - <<< "$RULESET" && exit 0
+exit 1